<template>
  <div class="q-pa-md bg-grey-4">
    <q-card
        class="q-pa-md w-full grid grid-cols-8"
        style="height: calc(100vh - 100px)"
    >
      <q-avatar rounded size="200px" class="col-span-2">
<!--        <img src="https://cdn.quasar.dev/img/avatar3.jpg">-->
        <q-icon name="face" />
      </q-avatar>
      <q-item-section class="col-span-6 flex items-start" style="justify-content: start">
        <q-item class="items-center">Логин: <q-badge class =ml-2 :label="user.username"/></q-item>
        <q-item class="items-center">id: <q-badge class="ml-2" :label="user._id"/></q-item>
        <q-item class="items-center">Роль: <q-badge class="ml-2" :label="useTranslitRoles(user.roles[0])"/></q-item>
        <q-item class="items-center">Создан: <q-badge class="ml-2" :label="formattedDate(user.createdAt, true)"/></q-item>
        <q-item class="items-center">Создан пользователем:
          <q-badge class="ml-2" v-for="(value, key) in user.options" :label="key" :key="key"/>
        </q-item>
      </q-item-section>
    </q-card>
  </div>
</template>

<script>
import {useStore} from "vuex";
import useTranslitRoles from "../../components/useTranslitRoles"
import formattedDate from '../../components/utils/formatDate';

export default {
  name: "Profile",
  setup () {
    const store = useStore()
    const user = store.state.user

    return {
      formattedDate,
      useTranslitRoles,
      user,
    }
  }
}
</script>

<style scoped>

</style>